<?php
/**
 * The template for displaying all single posts
 *
 * @package Digital
 */

// Exit if accessed directly.
defined( 'ABSPATH' ) || exit;

get_header();

$container = get_theme_mod( 'digital_container_type' );

?>
<div class="container">
<div class="wrapper" id="single-wrapper">

	<div class="<?php echo esc_attr( $container ); ?>" id="content" tabindex="-1">

		<div class="row">

		<?php        
		$postID = get_queried_object_id();
		$layoutmeta = get_post_meta($postID, '_singlepost_digital', true);
		$showsidebar = get_theme_mod('digital_sidebar_posts', true);

		if($showsidebar){
		// Check if $layoutmeta is empty
			if ($layoutmeta === 'ls') {
				get_template_part('sidebar-templates/sidebar', 'left'); ?>    
				<div class="col-md-8 content-area" id="primary"> 
			<?php } elseif ($layoutmeta === 'lr') { 
				get_template_part('sidebar-templates/sidebar', 'left'); ?>
				<div class="col-md-6 content-area" id="primary">
			<?php } elseif ($layoutmeta === 'fc') { ?>
				<div class="col-md-12 content-area" id="primary">
			<?php } elseif ($layoutmeta === 'rsd') { ?>
				<div class="col-md-8 content-area" id="primary">
			<?php } else {
				// Run this part if $layoutmeta is empty or not matching any predefined layout
				get_template_part('global-templates/left-sidebar-check');
			} 
		}
		?>

			<main class="site-main" id="main">

				<?php
				while ( have_posts() ) {
					the_post();
					get_template_part( 'loop-templates/content', 'single' );
					digital_post_nav();

					// If comments are open or we have at least one comment, load up the comment template.
					if ( comments_open() || get_comments_number() ) {
						comments_template();
					}
				}
				?>

			</main>

			<?php
				if($showsidebar){
					// Ensure $layoutmeta is defined
					if ($layoutmeta === 'rsd') { ?>
						</div><?php
						get_template_part('sidebar-templates/sidebar', 'right');
					} elseif ($layoutmeta === 'lr') { ?>
						</div><?php
						get_template_part('sidebar-templates/sidebar', 'right');
					} elseif ($layoutmeta === 'fc' || $layoutmeta === 'ls') { ?>
						</div><?php
					} else {
						// If $layoutmeta is empty or not set, execute this
						get_template_part('global-templates/right-sidebar-check');
					}
				}
			?>


		</div><!-- .row -->

	</div><!-- #content -->

</div><!-- #single-wrapper -->
</div><!-- #container -->
<?php
get_footer();
